Subject: bug#39636: closed (Re: [bug#39636] [PATCH 0/6] KiCad add translation and update libraries.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 Feb 2020 13:34:02 +0000

Your bug report

#39636: [PATCH 0/6] KiCad add translation and update libraries.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39636: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39636
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39636] [PATCH 0/6] KiCad add translation and update libraries.
From: Danny Milosavljevic <[email-masked]>
To: Brice Waegeneire <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Feb 2020 14:33:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have pushed the patchset to guix master as the following commits:

* 259e65aac183c76323a15de18bc2c2897e728dba for kicad-footprints
* c595150709f6ead12d17f303821a7a6e916aa1d0 for kicad-packages3d
* ca839f3c1867903d217a2a61ebcc7dfb250b5e5f for kicad-templates
* 052847422341e580f79bda8384f03746baa5b5e2 for kicad-library
* badc3c6783c37d88bcea5b8905f76841c76c1b99 for kicad-symbols description update
* e7075353e02a761e8cfb71afb1496da0418edcf2 for kicad

Thanks.

Subject: [PATCH 0/6] KiCad add translation and update libraries.
From: Brice Waegeneire <[email-masked]>
To: [email-masked]
Date: Sun, 16 Feb 2020 22:26:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This serie of patch follows https://issues.guix.info/issue/32616 it adds the
missing libraries for KiCad 5 which have been splitted in several repositories
by upstream and also adds translation to KiCad.

I tried to add the documentation too but I wasn't succesfull. I endend up
blocked by the error "Install the Unicode::GCString module!" even though
"perl-unicode-linebreak" was in my inputs.

Brice Waegeneire (6):
  gnu: Add kicad-footprints.
  gnu: Add variable kicad-packages3d.
  gnu: Add kicad-templates.
  gnu: Remove kicad-library.
  gnu: kicad-symbols: Update synopsis and description.
  gnu: kicad: Add translations and search paths.

 gnu/packages/engineering.scm | 296 ++++++++++++++++++++---------------
 1 file changed, 167 insertions(+), 129 deletions(-)

-- 
2.25.0